For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Work Order
      • GETGet Action Types
      • POSTUpload Attachment
      • POSTCreate Work Order from Existing
LogoLogo
API ReferenceKitting

Create Work Order from Existing

||View as Markdown|
POST
https://sandbox-api.shipbob.com/Experimental/kitting:createFromExisting
POST
/Experimental/kitting:createFromExisting
$curl -X POST https://sandbox-api.shipbob.com/Experimental/kitting:createFromExisting \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "end_kitted_inventory_id": 1,
> "fulfillment_center_id": 1,
> "shipment_id": 5001,
> "lot_date": "2024-01-15T09:00:00+00:00",
> "lot_number": "LOT-2024-001"
>}'
1{
2 "shipment_id": 0
3}
Creates a kitting work order based on an existing shipment, including steps, line items, fulfillment center, and product details.
Was this page helpful?
Previous

Upload Attachment

Next

Create Return Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

Request containing the details for creating the work order
end_kitted_inventory_idintegerRequired1-2147483647
Inventory identifier of the kitted product to be used in the work order.
fulfillment_center_idintegerRequired1-2147483647
The fulfillment center id associated with the work order.
shipment_idintegerRequired1-2147483647
Id of the shipment to copy line items and details from when creating the kitting work order.
line_itemslist of objectsOptional
Line items to be included in the work order. These line items will be used instead of the line items from the source shipment when creating the work order. If not provided, line items from the source shipment will be used by default.
lot_datedatetimeOptional
Lot expiration date to be associated with the work order.
lot_numberstringOptional
Lot number to be associated with the work order.

Response

Success
shipment_idinteger
Id of the created shipment

Errors

400
Bad Request Error
500
Internal Server Error